"use strict";

module.exports = function matchValue(value, arms) {
	for (let [candidateValue, arm] of Object.entries(arms)) {
		if (candidateValue !== "_" && value === candidateValue) {
			return arm();
		}
	}

	if (arms._ != null) {
		return arms._();
	} else {
		throw new Error("No matching arm found");
	}
};