"use strict";

const nanoidGenerate = require("nanoid/generate");
const uppercaseAlphabet = require("nanoid-dictionary/uppercase");

module.exports = function processDeviceId(deviceId) {
	/* TODO: Add validation here, once it becomes clear what the formatting requirements for a Device ID are */
	
	if (deviceId != null && deviceId.length > 0) {
		return deviceId;
	} else {
		return nanoidGenerate(uppercaseAlphabet, 16);
	}
};