"use strict";

module.exports = function encodeAccessToken({ deviceId, token }) {
	if (deviceId == null || token == null) {
		throw new Error("Device ID and token are required");
	} else {
		return `${Buffer.from(deviceId).toString("base64")}:${token}`;
	}
};