"use strict";

const Promise = require("bluebird");

module.exports = function ({ db }) {
	return function requireAccessToken(req, _res, next) {
		return Promise.try(() => {
			return db.devices.byToken(req.matrixAccessToken);
		}).then((device) => {
			req.device = device;
			next();
		});
	};
};
